Lines Matching +full:gas +full:- +full:preprocessor
2 # Guess values for system-dependent variables and create Makefiles.
5 # Report bugs to <FDLIBM COMMENTS <fdlibm-comments AT sun.com>>.
10 ## --------------------- ##
12 ## --------------------- ##
15 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
20 alias -g '${1+"$@"}'='"$@"'
21 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
22 set -o posix
34 # Work around bugs in pre-3.0 UWIN ksh.
46 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
98 rm -f conf$$.sh
115 test -z "$as_dir" && as_dir=.
116 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
126 if test ! -f "$as_myself"; then
136 test -z "$as_dir" && as_dir=.
140 if ("$as_dir/$as_base" -c '
160 # line-number line before each line; the second 'sed' does the real
161 # work. The second script uses 'N' to pair each line-number line
162 # with the numbered line, and appends trailing '-' during
165 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
169 s,$,-,
173 s,-$,,
189 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
190 *c*,-n*) ECHO_N= ECHO_C='
192 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
202 rm -f conf$$ conf$$.exe conf$$.file
204 if ln -s conf$$.file conf$$ 2>/dev/null; then
207 if test -f conf$$.exe; then
209 as_ln_s='cp -p'
211 as_ln_s='ln -s'
216 as_ln_s='cp -p'
218 rm -f conf$$ conf$$.exe conf$$.file
220 if mkdir -p . 2>/dev/null; then
223 test -d ./-p && rmdir ./-p
227 as_executable_p="test -f"
249 ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`
262 SHELL=${CONFIG_SHELL-/bin/sh}
274 PACKAGE_BUGREPORT='FDLIBM COMMENTS <fdlibm-comments AT sun.com>'
322 if test -n "$ac_prev"; then
334 -bindir | --bindir | --bindi | --bind | --bin | --bi)
336 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
339 -build | --build | --buil | --bui | --bu)
341 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
344 -cache-file | --cache-file | --cache-fil | --cache-fi \
345 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
347 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
348 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
351 --config-cache | -C)
354 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
356 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
357 | --da=*)
360 -disable-* | --disable-*)
361 ac_feature=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
363 expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
366 ac_feature=`echo $ac_feature | sed 's/-/_/g'`
369 -enable-* | --enable-*)
370 ac_feature=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
372 expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
375 ac_feature=`echo $ac_feature | sed 's/-/_/g'`
382 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
383 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
384 | --exec | --exe | --ex)
386 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
387 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
388 | --exec=* | --exe=* | --ex=*)
391 -gas | --gas | --ga | --g)
392 # Obsolete; use --with-gas.
395 -help | --help | --hel | --he | -h)
397 -help=r* | --help=r* | --hel=r* | --he=r* | -hr*)
399 -help=s* | --help=s* | --hel=s* | --he=s* | -hs*)
402 -host | --host | --hos | --ho)
404 -host=* | --host=* | --hos=* | --ho=*)
407 -includedir | --includedir | --includedi | --included | --include \
408 | --includ | --inclu | --incl | --inc)
410 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
411 | --includ=* | --inclu=* | --incl=* | --inc=*)
414 -infodir | --infodir | --infodi | --infod | --info | --inf)
416 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
419 -libdir | --libdir | --libdi | --libd)
421 -libdir=* | --libdir=* | --libdi=* | --libd=*)
424 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
425 | --libexe | --libex | --libe)
427 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
428 | --libexe=* | --libex=* | --libe=*)
431 -localstatedir | --localstatedir | --localstatedi | --localstated \
432 | --localstate | --localstat | --localsta | --localst \
433 | --locals | --local | --loca | --loc | --lo)
435 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
436 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
437 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
440 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
442 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
445 -nfp | --nfp | --nf)
446 # Obsolete; use --without-fp.
449 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
450 | --no-cr | --no-c | -n)
453 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
454 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
457 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
458 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
459 | --oldin | --oldi | --old | --ol | --o)
461 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
462 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
463 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
466 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
468 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
471 -program-prefix | --program-prefix | --program-prefi | --program-pref \
472 | --program-pre | --program-pr | --program-p)
474 -program-prefix=* | --program-prefix=* | --program-prefi=* \
475 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
478 -program-suffix | --program-suffix | --program-suffi | --program-suff \
479 | --program-suf | --program-su | --program-s)
481 -program-suffix=* | --program-suffix=* | --program-suffi=* \
482 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
485 -program-transform-name | --program-transform-name \
486 | --program-transform-nam | --program-transform-na \
487 | --program-transform-n | --program-transform- \
488 | --program-transform | --program-transfor \
489 | --program-transfo | --program-transf \
490 | --program-trans | --program-tran \
491 | --progr-tra | --program-tr | --program-t)
493 -program-transform-name=* | --program-transform-name=* \
494 | --program-transform-nam=* | --program-transform-na=* \
495 | --program-transform-n=* | --program-transform-=* \
496 | --program-transform=* | --program-transfor=* \
497 | --program-transfo=* | --program-transf=* \
498 | --program-trans=* | --program-tran=* \
499 | --progr-tra=* | --program-tr=* | --program-t=*)
502 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
503 | -silent | --silent | --silen | --sile | --sil)
506 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
508 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
509 | --sbi=* | --sb=*)
512 -sharedstatedir | --sharedstatedir | --sharedstatedi \
513 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
514 | --sharedst | --shareds | --shared | --share | --shar \
515 | --sha | --sh)
517 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
518 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
519 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
520 | --sha=* | --sh=*)
523 -site | --site | --sit)
525 -site=* | --site=* | --sit=*)
528 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
530 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
533 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
534 | --syscon | --sysco | --sysc | --sys | --sy)
536 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
537 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
540 -target | --target | --targe | --targ | --tar | --ta | --t)
542 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
545 -v | -verbose | --verbose | --verbos | --verbo | --verb)
548 -version | --version | --versio | --versi | --vers | -V)
551 -with-* | --with-*)
552 ac_package=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
554 expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
557 ac_package=`echo $ac_package| sed 's/-/_/g'`
564 -without-* | --without-*)
565 ac_package=`expr "x$ac_option" : 'x-*without-\(.*\)'`
567 expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
570 ac_package=`echo $ac_package | sed 's/-/_/g'`
573 --x)
574 # Obsolete; use --with-x.
577 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
578 | --x-incl | --x-inc | --x-in | --x-i)
580 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
581 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
584 -x-libraries | --x-libraries | --x-librarie | --x-librari \
585 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
587 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
588 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
591 -*) { echo "$as_me: error: unrecognized option: $ac_option
592 Try \`$0 --help' for more information." >&2
608 echo "$as_me: WARNING: you should use --build, --host, --target" >&2
609 expr "x$ac_option" : ".*[^-._$as_cr_alnum]" >/dev/null &&
617 if test -n "$ac_prev"; then
618 ac_option=--`echo $ac_prev | sed 's/_/-/g'`
629 *) { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
641 *) { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
647 # used to hold the argument of --host etc.
657 echo "$as_me: WARNING: If you wanted to set the --build type, don't use --host.
665 test -n "$host_alias" && ac_tool_prefix=$host_alias-
671 if test -z "$srcdir"; then
687 if test ! -r $srcdir/$ac_unique_file; then
693 if test ! -r $srcdir/$ac_unique_file; then
702 (cd $srcdir && test -r ./$ac_unique_file) 2>/dev/null ||
736 # Report the --help message.
752 -h, --help display this help and exit
753 --help=short display options specific to this package
754 --help=recursive display the short help of all the included packages
755 -V, --version display version information and exit
756 -q, --quiet, --silent do not print \`checking...' messages
757 --cache-file=FILE cache test results in FILE [disabled]
758 -C, --config-cache alias for \`--cache-file=config.cache'
759 -n, --no-create do not create output files
760 --srcdir=DIR find the sources in DIR [configure dir or \`..']
766 --prefix=PREFIX install architecture-independent files in PREFIX
768 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
773 an installation prefix other than \`$ac_default_prefix' using \`--prefix',
774 for instance \`--prefix=\$HOME'.
779 --bindir=DIR user executables [EPREFIX/bin]
780 --sbindir=DIR system admin executables [EPREFIX/sbin]
781 --libexecdir=DIR program executables [EPREFIX/libexec]
782 --datadir=DIR read-only architecture-independent data [PREFIX/share]
783 --sysconfdir=DIR read-only single-machine data [PREFIX/etc]
784 --sharedstatedir=DIR modifiable architecture-independent data [PREFIX/com]
785 --localstatedir=DIR modifiable single-machine data [PREFIX/var]
786 --libdir=DIR object code libraries [EPREFIX/lib]
787 --includedir=DIR C header files [PREFIX/include]
788 --oldincludedir=DIR C header files for non-gcc [/usr/include]
789 --infodir=DIR info documentation [PREFIX/info]
790 --mandir=DIR man documentation [PREFIX/man]
797 if test -n "$ac_init_help"; then
806 LDFLAGS linker flags, e.g. -L<lib dir> if you have libraries in a
808 CPPFLAGS C/C++ preprocessor flags, e.g. -I<include dir> if you have
814 Report bugs to <FDLIBM COMMENTS <fdlibm-comments AT sun.com>>
819 # If there are subdirs, report their specific --help.
822 test -d $ac_dir || continue
834 .) # No --srcdir option. We are building in place.
836 if test -z "$ac_top_builddir"; then
890 if test -f $ac_srcdir/configure.gnu; then
892 $SHELL $ac_srcdir/configure.gnu --help=recursive
893 elif test -f $ac_srcdir/configure; then
895 $SHELL $ac_srcdir/configure --help=recursive
896 elif test -f $ac_srcdir/configure.ac ||
897 test -f $ac_srcdir/configure.in; then
899 $ac_configure --help
907 test -n "$ac_init_help" && exit 0
932 ## --------- ##
934 ## --------- ##
936 hostname = `(hostname || uname -n) 2>/dev/null | sed 1q`
937 uname -m = `(uname -m) 2>/dev/null || echo unknown`
938 uname -r = `(uname -r) 2>/dev/null || echo unknown`
939 uname -s = `(uname -s) 2>/dev/null || echo unknown`
940 uname -v = `(uname -v) 2>/dev/null || echo unknown`
942 /usr/bin/uname -p = `(/usr/bin/uname -p) 2>/dev/null || echo unknown`
943 /bin/uname -X = `(/bin/uname -X) 2>/dev/null || echo unknown`
946 /usr/bin/arch -k = `(/usr/bin/arch -k) 2>/dev/null || echo unknown`
959 test -z "$as_dir" && as_dir=.
968 ## ----------- ##
970 ## ----------- ##
976 # Strip out --no-create and --no-recursion so they do not pile up.
977 # Strip out --silent because we don't want to record it for future runs.
978 # Also quote any args containing shell meta-characters.
979 # Make two passes to allow for proper duplicate-argument suppression.
990 -no-create | --no-c* | -n | -no-recursion | --no-r*) continue ;;
991 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
992 | -silent | --silent | --silen | --sile | --sil)
1005 *=* | --config-cache | -C | -disable-* | --disable-* \
1006 | -enable-* | --enable-* | -gas | --g* | -nfp | --nf* \
1007 | -q | -quiet | --q* | -silent | --sil* | -v | -verb* \
1008 | -with-* | --with-* | -without-* | --without-* | --x)
1013 -* ) ac_must_keep_next=true ;;
1037 ## ---------------- ##
1039 ## ---------------- ##
1047 sed -n \
1052 sed -n \
1060 ## ----------------- ##
1062 ## ----------------- ##
1072 if test -n "$ac_subst_files"; then
1074 ## ------------- ##
1076 ## ------------- ##
1087 if test -s confdefs.h; then
1089 ## ----------- ##
1091 ## ----------- ##
1101 rm -f core *.core &&
1102 rm -rf conftest* confdefs* conf$$* $ac_clean_files &&
1111 rm -rf conftest* confdefs.h
1115 # Predefined preprocessor variables.
1144 if test -z "$CONFIG_SITE"; then
1152 if test -r "$ac_site_file"; then
1160 if test -r "$cache_file"; then
1163 if test -f "$cache_file"; then
1181 sed -n 's/^ac_env_\([a-zA-Z_0-9]*\)_set=.*/\1/p'`; do
1230 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1231 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1264 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1265 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1267 if test -n "$ac_tool_prefix"; then
1275 if test -n "$CC"; then
1282 test -z "$as_dir" && as_dir=.
1295 if test -n "$CC"; then
1304 if test -z "$ac_cv_prog_CC"; then
1313 if test -n "$ac_ct_CC"; then
1320 test -z "$as_dir" && as_dir=.
1333 if test -n "$ac_ct_CC"; then
1346 if test -z "$CC"; then
1347 if test -n "$ac_tool_prefix"; then
1355 if test -n "$CC"; then
1362 test -z "$as_dir" && as_dir=.
1375 if test -n "$CC"; then
1384 if test -z "$ac_cv_prog_CC"; then
1393 if test -n "$ac_ct_CC"; then
1400 test -z "$as_dir" && as_dir=.
1413 if test -n "$ac_ct_CC"; then
1427 if test -z "$CC"; then
1435 if test -n "$CC"; then
1443 test -z "$as_dir" && as_dir=.
1472 if test -n "$CC"; then
1481 if test -z "$CC"; then
1482 if test -n "$ac_tool_prefix"; then
1492 if test -n "$CC"; then
1499 test -z "$as_dir" && as_dir=.
1512 if test -n "$CC"; then
1520 test -n "$CC" && break
1523 if test -z "$CC"; then
1534 if test -n "$ac_ct_CC"; then
1541 test -z "$as_dir" && as_dir=.
1554 if test -n "$ac_ct_CC"; then
1562 test -n "$ac_ct_CC" && break
1571 test -z "$CC" && { { echo "$as_me:$LINENO: error: no acceptable C compiler found in \$PATH
1581 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
1582 (eval $ac_compiler --version </dev/null >&5) 2>&5
1586 { (eval echo "$as_me:$LINENO: \"$ac_compiler -v </dev/null >&5\"") >&5
1587 (eval $ac_compiler -v </dev/null >&5) 2>&5
1591 { (eval echo "$as_me:$LINENO: \"$ac_compiler -V </dev/null >&5\"") >&5
1592 (eval $ac_compiler -V </dev/null >&5) 2>&5
1614 # Try to create an executable without -o first, disregard a.out.
1619 ac_link_default=`echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
1635 test -f "$ac_file" || continue
1650 # maintain Libtool? --akim.
1691 If you meant to cross compile, use \`--host'.
1694 If you meant to cross compile, use \`--host'.
1703 rm -f a.out a.exe conftest$ac_cv_exeext b.out
1724 test -f "$ac_file" || continue
1741 rm -f conftest$ac_cv_exeext
1745 rm -f conftest.$ac_ext
1768 rm -f conftest.o conftest.obj
1792 rm -f conftest.$ac_cv_objext conftest.$ac_ext
1821 rm -f conftest.$ac_objext
1825 grep -v '^ *+' conftest.er1 >conftest.err
1826 rm -f conftest.er1
1830 { ac_try='test -z "$ac_c_werror_flag"
1831 || test ! -s conftest.err'
1837 { ac_try='test -s conftest.$ac_objext'
1850 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
1859 CFLAGS="-g"
1860 echo "$as_me:$LINENO: checking whether $CC accepts -g" >&5
1861 echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6
1880 rm -f conftest.$ac_objext
1884 grep -v '^ *+' conftest.er1 >conftest.err
1885 rm -f conftest.er1
1889 { ac_try='test -z "$ac_c_werror_flag"
1890 || test ! -s conftest.err'
1896 { ac_try='test -s conftest.$ac_objext'
1909 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
1917 CFLAGS="-g -O2"
1919 CFLAGS="-g"
1923 CFLAGS="-O2"
1964 /* OSF 4.0 Compaq cc is some sort of almost-ANSI by default. It has
1967 as 'x'. The following induces an error, until -std1 is added to get
1970 that's true only with -std1. */
1971 int osf4_cc_array ['\x00' == 0 ? 1 : -1];
1987 # Don't try gcc -ansi; that turns off useful extensions and
1989 # AIX -qlanglvl=ansi
1990 # Ultrix and OSF/1 -std1
1991 # HP-UX 10.20 and later -Ae
1992 # HP-UX older versions -Aa -D_HPUX_SOURCE
1993 # SVR4 -Xc -D__EXTENSIONS__
1994 for ac_arg in "" -qlanglvl=ansi -std1 -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
1997 rm -f conftest.$ac_objext
2001 grep -v '^ *+' conftest.er1 >conftest.err
2002 rm -f conftest.er1
2006 { ac_try='test -z "$ac_c_werror_flag"
2007 || test ! -s conftest.err'
2013 { ac_try='test -s conftest.$ac_objext'
2026 rm -f conftest.err conftest.$ac_objext
2028 rm -f conftest.$ac_ext conftest.$ac_objext
2052 rm -f conftest.$ac_objext
2056 grep -v '^ *+' conftest.er1 >conftest.err
2057 rm -f conftest.er1
2061 { ac_try='test -z "$ac_c_werror_flag"
2062 || test ! -s conftest.err'
2068 { ac_try='test -s conftest.$ac_objext'
2098 rm -f conftest.$ac_objext
2102 grep -v '^ *+' conftest.er1 >conftest.err
2103 rm -f conftest.er1
2107 { ac_try='test -z "$ac_c_werror_flag"
2108 || test ! -s conftest.err'
2114 { ac_try='test -s conftest.$ac_objext'
2127 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
2143 rm -f conftest.$ac_objext
2147 grep -v '^ *+' conftest.er1 >conftest.err
2148 rm -f conftest.er1
2152 { ac_try='test -z "$ac_c_werror_flag"
2153 || test ! -s conftest.err'
2159 { ac_try='test -s conftest.$ac_objext'
2171 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
2173 rm -f conftest*
2174 if test -n "$ac_declaration"; then
2185 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
2188 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2189 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2202 if test -n "$AR"; then
2209 test -z "$as_dir" && as_dir=.
2222 if test -n "$AR"; then
2230 test -n "$AR" && break
2242 if test -n "$CHMOD"; then
2249 test -z "$as_dir" && as_dir=.
2262 if test -n "$CHMOD"; then
2270 test -n "$CHMOD" && break
2282 if test -n "$CP"; then
2289 test -z "$as_dir" && as_dir=.
2302 if test -n "$CP"; then
2310 test -n "$CP" && break
2322 if test -n "$RANLIB"; then
2329 test -z "$as_dir" && as_dir=.
2342 if test -n "$RANLIB"; then
2350 test -n "$RANLIB" && break
2371 test -z "$as_dir" && as_dir=.
2386 if test -n "$RM"; then
2394 test -n "$RM" && break
2402 # scripts and configure runs, see configure's option --config-cache.
2407 # the --recheck option to rerun configure.
2424 # `set' does not quote correctly, so add quotes (double-quote
2426 sed -n \
2432 sed -n \
2445 if test -w $cache_file; then
2452 rm -f confcache
2483 s,^[ ]*#[ ]*define[ ][ ]*\([^ (][^ (]*([^)]*)\)[ ]*\(.*\),-D\1=\2,g
2485 s,^[ ]*#[ ]*define[ ][ ]*\([^ ][^ ]*\)[ ]*\(.*\),-D\1=\2,g
2495 # We use echo to avoid assuming a particular line-breaking character.
2497 # line-breaks from the sub-command output. A line-break within
2498 # single-quotes doesn't work because, if this script is created in a
2499 # platform that uses two characters for line-breaks (e.g., DOS), tr
2502 DEFS=`sed -n -f confdef2opt.sed confdefs.h | tr "$ac_LF_and_DOT" ' .'`
2503 rm -f confdef2opt.sed
2537 SHELL=\${CONFIG_SHELL-$SHELL}
2541 ## --------------------- ##
2543 ## --------------------- ##
2546 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
2551 alias -g '${1+"$@"}'='"$@"'
2552 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
2553 set -o posix
2565 # Work around bugs in pre-3.0 UWIN ksh.
2577 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
2629 rm -f conf$$.sh
2646 test -z "$as_dir" && as_dir=.
2647 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
2657 if test ! -f "$as_myself"; then
2668 test -z "$as_dir" && as_dir=.
2672 if ("$as_dir/$as_base" -c '
2692 # line-number line before each line; the second 'sed' does the real
2693 # work. The second script uses 'N' to pair each line-number line
2694 # with the numbered line, and appends trailing '-' during
2697 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
2701 s,$,-,
2705 s,-$,,
2722 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
2723 *c*,-n*) ECHO_N= ECHO_C='
2725 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
2735 rm -f conf$$ conf$$.exe conf$$.file
2737 if ln -s conf$$.file conf$$ 2>/dev/null; then
2740 if test -f conf$$.exe; then
2742 as_ln_s='cp -p'
2744 as_ln_s='ln -s'
2749 as_ln_s='cp -p'
2751 rm -f conf$$ conf$$.exe conf$$.file
2753 if mkdir -p . 2>/dev/null; then
2756 test -d ./-p && rmdir ./-p
2760 as_executable_p="test -f"
2782 # values after options handling. Logging --version etc. is OK.
2786 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
2802 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
2807 if test -n "$ac_config_files"; then
2811 if test -n "$ac_config_headers"; then
2815 if test -n "$ac_config_links"; then
2819 if test -n "$ac_config_commands"; then
2831 -h, --help print this help, then exit
2832 -V, --version print version number, then exit
2833 -q, --quiet do not print progress messages
2834 -d, --debug don't remove temporary files
2835 --recheck update $as_me by reconfiguring in the same conditions
2836 --file=FILE[:TEMPLATE]
2842 Report bugs to <bug-autoconf@gnu.org>."
2864 --*=*)
2869 -*)
2884 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
2886 --version | --vers* | -V )
2888 --he | --h)
2889 # Conflict between --help and --header
2891 Try \`$0 --help' for more information." >&5
2893 Try \`$0 --help' for more information." >&2;}
2895 --help | --hel | -h )
2897 --debug | --d* | -d )
2899 --file | --fil | --fi | --f )
2903 --header | --heade | --head | --hea )
2907 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
2908 | -silent | --silent | --silen | --sile | --sil | --si | --s)
2912 -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
2913 Try \`$0 --help' for more information." >&5
2915 Try \`$0 --help' for more information." >&2;}
2928 ac_configure_extra_args="$ac_configure_extra_args --silent"
2934 …echo "running $SHELL $0 " $ac_configure_args \$ac_configure_extra_args " --no-create --no-recursio…
2935 exec $SHELL $0 $ac_configure_args \$ac_configure_extra_args --no-create --no-recursion
2970 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
2977 tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
2978 test -n "$tmp" && test -d "$tmp"
2981 tmp=./confstat$$-$RANDOM
2999 if test -n "\$CONFIG_FILES"; then
3052 # Split the substitutions into bite-sized pieces for seds with
3053 # small command number limits, like on Digital OSF/1 and HP-UX.
3061 if test $ac_beg -gt 1; then
3066 if test ! -s $tmp/subs.frag; then
3074 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
3075 if test -z "$ac_sed_cmds"; then
3076 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
3078 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
3085 if test -z "$ac_sed_cmds"; then
3088 fi # test -n "$CONFIG_FILES"
3095 - | *:- | *:-:* ) # input from stdin
3118 mkdir -p "$ac_dir"
3122 while test ! -d "$as_dir"; do
3137 test ! -n "$as_dirs" || mkdir $as_dirs
3153 .) # No --srcdir option. We are building in place.
3155 if test -z "$ac_top_builddir"; then
3209 if test x"$ac_file" != x-; then
3212 rm -f "$ac_file"
3217 if test x"$ac_file" = x-; then
3230 -) echo $tmp/stdin ;;
3232 # Absolute (can't be DOS-style, as IFS=:)
3233 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
3238 if test -f "$f"; then
3241 elif test -f "$srcdir/$f"; then
3259 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
3270 rm -f $tmp/stdin
3271 if test x"$ac_file" != x-; then
3275 rm -f $tmp/out
3301 ac_config_status_args="$ac_config_status_args --quiet"